<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true">

    <!-- 可折叠顶部布局 -->
    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/appBar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:fitsSystemWindows="true">

        <!-- 折叠布局核心：CollapsingToolbarLayout -->
        <com.google.android.material.appbar.CollapsingToolbarLayout
            android:id="@+id/collapsingToolbar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:collapsedTitleGravity="center_vertical"
            app:expandedTitleMarginBottom="20dp"
            app:expandedTitleMarginStart="20dp"
            app:layout_scrollFlags="scroll|exitUntilCollapsed|snap">

            <!-- 顶部内容（你自己的布局：图片/文字/卡片 任意） -->
            <LinearLayout
                android:id="@+id/topContent"
                android:layout_width="match_parent"
                android:layout_height="500dp"
                android:background="#F5F5F5"
                android:gravity="center"
                android:orientation="vertical"
                app:layout_collapseMode="parallax">  <!-- 折叠视差效果 -->

                <!-- 你可以放任何内容：图片、标题、自定义视图 -->
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="顶部可折叠区域"
                    android:textColor="#333"
                    android:textSize="22sp" />

            </LinearLayout>

            <!-- 折叠后固定的标题栏（可选） -->
            <com.google.android.material.appbar.MaterialToolbar
                android:id="@+id/toolbar"
                android:layout_width="match_parent"

                android:layout_height="?attr/actionBarSize"
                app:layout_collapseMode="pin"
                app:title="折叠后标题"/>

        </com.google.android.material.appbar.CollapsingToolbarLayout>

    </com.google.android.material.appbar.AppBarLayout>
    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fillViewport="true"
        app:layout_behavior="@string/appbar_scrolling_view_behavior">
    <!-- 底部 ViewPager2 区域 -->
    <androidx.viewpager2.widget.ViewPager2
        android:id="@+id/viewPager2"
        android:layout_width="match_parent"
        android:layout_height="match_parent"/>
    </androidx.core.widget.NestedScrollView>

</androidx.coordinatorlayout.widget.CoordinatorLayout>